uniform sampler2D ssaoMap,colorMap;
uniform float amount;

void main(){
	int i;
	vec2 uv=gl_TexCoord[0].xy,newuv;
	
	vec4 ssaoCol = texture2D(ssaoMap,uv);
	vec4 col = texture2D(colorMap,uv);
	vec4 a=vec4(amount);
	
	
	gl_FragColor = col*(vec4(1)-a) + ssaoCol*col*a;

}